Debian Bug report logs - #495188
kde4-minimal: unmet dependencies kdelibs5 etc.

version graph

Package: kde4-minimal; Maintainer for kde4-minimal is (unknown);

Reported by: matias.liberta@gmail.com

Date: Fri, 15 Aug 2008 08:06:09 UTC

Severity: grave

Found in version meta-kde4/3

Done: Ana Guerrero <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#495188; Package kde4-minimal. Full text and rfc822 format available.

Acknowledgement sent to matias.liberta@gmail.com:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Weiss <matias.liberta@gmail.com>
To: submit@bugs.debian.org
Subject: kde4-minimal: unmet dependencies kdelibs5 etc.
Date: Fri, 15 Aug 2008 09:58:21 +0200
Package: kde4-minimal
Version: 3
Severity: grave
Justification: renders package unusable

*** Please type your report below this line ***

As recommendet at

http://pkg-kde.alioth.debian.org/experimental.html

I added the experimental branch to my sources.list file, did a 

apt-get update

and then a 

apt-get -t experimental install kde4-minimal

and got

The following packages have unmet dependencies:
  kde4-minimal: Depends: kdelibs5 (>= 4:4.1.0) but it is not going to be 
installed
                Depends: kdepimlibs5 (>= 4:4.1.0) but it is not going to be 
installed
                Depends: kdebase-runtime (>= 4:4.1.0) but it is not going to 
be installed
                Depends: kdebase-workspace (>= 4:4.1.0) but it is not going to 
be installed
                Depends: kdebase (>= 4:4.1.0) but it is not going to be 
installed
E: Broken packages

Trying to install kdelibs5 etc. manually from unstable resulted in further 
unresolvable problems (see also bugreport for libqt4-designer).

Sadly I don't see how KDE 4.1 is installable with a Debian sid setup like 
mine.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18.2
Locale: LANG=C, LC_CTYPE=de_AT@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash




Reply sent to Ana Guerrero <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to matias.liberta@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 495188-done@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: matias.liberta@gmail.com, 495188-done@bugs.debian.org
Subject: Re: Bug#495188: kde4-minimal: unmet dependencies kdelibs5 etc.
Date: Sat, 16 Aug 2008 01:48:40 +0200
On Fri, Aug 15, 2008 at 09:58:21AM +0200, Matthias Weiss wrote:
> Package: kde4-minimal
> Version: 3
> Severity: grave
> Justification: renders package unusable
> 
> *** Please type your report below this line ***
> 
> As recommendet at
> 
> http://pkg-kde.alioth.debian.org/experimental.html
> 
> I added the experimental branch to my sources.list file, did a 
> 
> apt-get update
> 
> and then a 
> 
> apt-get -t experimental install kde4-minimal
> 
> and got
> 
> The following packages have unmet dependencies:
>   kde4-minimal: Depends: kdelibs5 (>= 4:4.1.0) but it is not going to be 
> installed
>                 Depends: kdepimlibs5 (>= 4:4.1.0) but it is not going to be 
> installed
>                 Depends: kdebase-runtime (>= 4:4.1.0) but it is not going to 
> be installed
>                 Depends: kdebase-workspace (>= 4:4.1.0) but it is not going to 
> be installed
>                 Depends: kdebase (>= 4:4.1.0) but it is not going to be 
> installed
> E: Broken packages
> 
> Trying to install kdelibs5 etc. manually from unstable resulted in further 
> unresolvable problems (see also bugreport for libqt4-designer).
> 
> Sadly I don't see how KDE 4.1 is installable with a Debian sid setup like 
> mine.
>


I do not see either where you have a problem, but it works... Problem seems to
be in your unstable source, those packages are in the archive.
OTOH, we recommend using aptitude not apt-get in that URL.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#495188; Package kde4-minimal. Full text and rfc822 format available.

Acknowledgement sent to Tim Fairbank <tim@timfairbank.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 495188@bugs.debian.org (full text, mbox):

From: Tim Fairbank <tim@timfairbank.com>
To: 495188@bugs.debian.org
Subject: kde4 currently uninstallable
Date: Mon, 18 Aug 2008 09:16:07 -0500
aptitude -t experimental install kde4

fails because kdebase-workspace cannot
be installed. Aptitude is looking for
version 4:4.1.0-2, but for i386, the
highest version in experimental is still
only 4:4.1.0-1.

My options appear to be:
1. Build it myself, from the source package
2. Wait for 4:4.1.0-2 to be uploaded.

Tim Fairbank




Message #16 received at 495188-close@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Tim Fairbank <tim@timfairbank.com>, 495188-close@bugs.debian.org
Subject: Re: Bug#495188: kde4 currently uninstallable
Date: Mon, 18 Aug 2008 13:10:19 -0300
[Message part 1 (text/plain, inline)]
On Monday 18 August 2008 11:16:07 Tim Fairbank wrote:
> aptitude -t experimental install kde4
>
> fails because kdebase-workspace cannot
> be installed. Aptitude is looking for
> version 4:4.1.0-2, but for i386, the
> highest version in experimental is still
> only 4:4.1.0-1.
>
> My options appear to be:
> 1. Build it myself, from the source package
> 2. Wait for 4:4.1.0-2 to be uploaded.
>
> Tim Fairbank

The package it's uploaded, I'm closing the bug.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#495188; Package kde4-minimal. Full text and rfc822 format available.

Acknowledgement sent to Xavier Vello <xavier.vello@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 495188@bugs.debian.org (full text, mbox):

From: Xavier Vello <xavier.vello@gmail.com>
To: Tim Fairbank <tim@timfairbank.com>, 495188@bugs.debian.org
Subject: Re: Bug#495188: kde4 currently uninstallable
Date: Mon, 18 Aug 2008 19:41:00 +0200
Le Monday 18 August 2008 16:16:07 Tim Fairbank, vous avez écrit :
> aptitude -t experimental install kde4
>
> fails because kdebase-workspace cannot
> be installed. Aptitude is looking for
> version 4:4.1.0-2, but for i386, the
> highest version in experimental is still
> only 4:4.1.0-1.
>
> My options appear to be:
> 1. Build it myself, from the source package
> 2. Wait for 4:4.1.0-2 to be uploaded.

Hello

kdebase-workspace 4:4.1.0-2 has been uploaded for amd64 but not i386 yes. You 
have to wait a day or two for it to autobuild and be available.
This is not a bug, please close it.

Regards
-- 
Xavier Vello




Message #22 received at 495188-done@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 495188-done@bugs.debian.org
Subject: Re: Bug#495188: kde4 currently uninstallable
Date: Mon, 18 Aug 2008 22:59:52 -0300
[Message part 1 (text/plain, inline)]
This is not a bug, closing.

-- 
16: De quien es Internet
    * De DIOS dado que todas las cosas del mundo le pertenecen

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Sep 2008 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:26:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.